/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_RoutingAdvertisement_H_
#define	_RoutingAdvertisement_H_


#include <asn_application.h>

/* Including external dependencies */
#include "RouterLifetime.h"
#include "IpV6Prefix.h"
#include "IpV6PrefixLength.h"
#include "IPv6Address.h"
#include "RoutAdvertExts.h"
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* RoutingAdvertisement */
typedef struct RoutingAdvertisement {
	RouterLifetime_t	 lifetime;
	IpV6Prefix_t	 ipPrefix;
	IpV6PrefixLength_t	 ipPrefixLength;
	IPv6Address_t	 defaultGateway;
	IPv6Address_t	 primaryDns;
	RoutAdvertExts_t	 extensions;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} RoutingAdvertisement_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_RoutingAdvertisement;

#ifdef __cplusplus
}
#endif

#endif	/* _RoutingAdvertisement_H_ */
#include <asn_internal.h>
